perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robby Desmond <rdesm...@press.uchicago.edu>
Subject Embperl 2.3.0 in CPAN using deprecated libxml2 calls?
Date Mon, 28 Jun 2010 17:45:05 GMT
Hi,

I'm trying to build Embperl from CPAN on an RHEL 5 x86_64 server with
Apache 2 and Mod Perl 2.

I'm running into the following error while it tries to run "make":

/usr/bin/perl /usr/lib/perl5/site_perl/5.8.8/ExtUtils/xsubpp  -typemap
/usr/lib/perl5/5.8.8/ExtUtils/typemap -typemap typemap
xs/Embperl/App/App.xs > xs/Embperl/App/App.xsc && mv
xs/Embperl/App/App.xsc xs/Embperl/App/App.c
Can't find typemap in /root/.cpan/build/Embperl-2.3.0-4NqiCo/xs/Embperl/App
make: *** [xs/Embperl/App/App.o] Error 2
make: *** Waiting for unfinished jobs....
In file included from driver/eplibxslt.c:25:
/usr/include/libxml2/libxml/DOCBparser.h:22:2: warning: #warning "The
DOCBparser module has been deprecated in libxml2-2.6.0"


My suspicions are that the "typemaps" are being called for incorrectly,
and here's why:

"...-typemap typemap xs/Embperl/App/App.xs > ..."

Looking in the Makefile, it seems that should call to '../../typemap'

Anyone got a suggestion to get around this?

Also, what's with the deprecated libxml2 call?

-R

-- 
Robby Desmond
BiblioVault Operations Assistant
University of Chicago Press
http://www.bibliovault.org/
ph: 773-834-2387
cell: 773-458-0959
rdesmond@press.uchicago.edu

---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message